%
% "Yeoh-1axial"
%
function sig_yeoh = yeoh(param,lambda)

anz_data = length(lambda);
sig_yeoh = zeros(anz_data,1);

for i=1:anz_data
  I1_1ax = lambda(i)^2 + 2/lambda(i);
  sig_yeoh(i) = (2*param(1)+4*param(2)*(I1_1ax-3)+6*param(3)*(I1_1ax-3)^2)*...
                (lambda(i)^2-1/lambda(i));
end %i

return
% *** END ***